get_root_causes
GET /root_causes
Get all the root causes of the company
- Rails
- cURL
require 'rest-client'
RestClient::Request.execute method: :get,
url: 'https://api.diduenjoy.com/api/v1/root_causes',
user: 'PUT-YOUR-API-KEY-HERE'
---------------Filter--------------------------
require 'rest-client'
RestClient::Request.execute method: :get,
url: "https://api.diduenjoy.com/api/v1/root_causes?filter[name]=Delivery",
user: 'PUT-YOUR-API-KEY-HERE'
curl 'https://api.diduenjoy.com/api/v1/root_causes' \
-u 'PUT-YOUR-API-KEY-HERE:'
---------------Filter--------------------------
curl 'https://api.diduenjoy.com/api/v1/root_causes?filter[name]=Delivery' \
-u 'PUT-YOUR-API-KEY-HERE:'
attributes
| attribute | description |
|---|---|
| name string | name of the root cause |
optional parameters "filter"
| parameter | description |
|---|---|
| name string | return all root causes whose name contains name. |